#!/bin/sh
mount -t tmpfs none /tmp
cd /tmp

mount -t tmpfs none /mnt
mkdir /mnt/root

mkdir /mnt/root/var ; mkdir /tmp/var-tmp
mount -t aufs none /tmp/var-tmp -o br:/mnt/root/var=rw:/var=ro
mount --move /tmp/var-tmp /var


mkdir /mnt/root/etc ; mkdir /tmp/etc-tmp
mount -t aufs none /tmp/etc-tmp -o br:/mnt/root/etc=rw:/etc=ro
mount --move /tmp/etc-tmp /etc


mkdir /mnt/root/lib ; mkdir /tmp/lib-tmp
mount -t aufs none /tmp/lib-tmp -o br:/mnt/root/lib=rw:/lib=ro
mount --move /tmp/lib-tmp /lib


mkdir /mnt/root/bin ; mkdir /tmp/bin-tmp
mount -t aufs none /tmp/bin-tmp -o br:/mnt/root/bin=rw:/bin=ro
mount --move /tmp/bin-tmp /bin


mkdir /mnt/root/usr ; mkdir /tmp/usr-tmp
mount -t aufs none /tmp/usr-tmp -o br:/mnt/root/usr=rw:/usr=ro
mount --move /tmp/usr-tmp /usr


mkdir /mnt/root/sbin ; mkdir /tmp/sbin-tmp
mount -t aufs none /tmp/sbin-tmp -o br:/mnt/root/sbin=rw:/sbin=ro
mount --move /tmp/sbin-tmp /sbin


mkdir /mnt/root/home ; mkdir /tmp/home-tmp
mount -t aufs none /tmp/home-tmp -o br:/mnt/root/home=rw:/home=ro
mount --move /tmp/home-tmp /home


mkdir /mnt/root/root ; mkdir /tmp/root-tmp
mount -t aufs none /tmp/root-tmp -o br:/mnt/root/root=rw:/root=ro
mount --move /tmp/root-tmp /root


mkdir /mnt/root/media ; mkdir /tmp/media-tmp
mount -t aufs none /tmp/media-tmp -o br:/mnt/root/media=rw:/media=ro
mount --move /tmp/media-tmp /media
